plugins {
    id("java")
    id("maven-publish")
}

group = "tech.nevets"
version = "0.1.0"

repositories {
    mavenCentral()
}

dependencies {
    testImplementation(platform("org.junit:junit-bom:5.9.1"))
    testImplementation("org.junit.jupiter:junit-jupiter")
}

tasks.test {
    useJUnitPlatform()
}

publishing {
    publications {
        create<MavenPublication>("publish") {
            artifact("build/libs/QuickFlags-$version.jar") {
                extension = "jar"
            }
        }
    }
    repositories {
        maven {
            name = "gitea"
            url = uri("https://git.nevets.tech/api/packages/Steven/maven")
            credentials {
                username = System.getenv("giteaUser")
                password = System.getenv("giteaPass")
            }
        }
    }
}